{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "BDCG_CALCUL"; 
            externalType = NUMBER; 
            name = bdcgCalcul; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "BDCG_SAISI"; 
            externalType = NUMBER; 
            name = bdcgCalculSaisi; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "BDCG_VOTE"; 
            externalType = NUMBER; 
            name = bdcgCalculVote; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BDCG_ID"; 
            externalType = NUMBER; 
            name = bdcgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "BDSA_ID"; 
            externalType = NUMBER; 
            name = bdsaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYAC_ID"; 
            externalType = NUMBER; 
            name = tyacId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYET_ID"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        bdcgCalcul, 
        bdcgCalculSaisi, 
        bdcgCalculVote, 
        bdcgId, 
        bdsaId, 
        exeOrdre, 
        orgId, 
        tcdOrdre, 
        tyacId, 
        tyetId
    ); 
    className = "org.cocktail.fwkcktlbibasse.serveur.metier.EOBudgetCalculGestion"; 
    classProperties = (
        bdcgCalcul, 
        bdcgCalculSaisi, 
        bdcgCalculVote, 
        budgetSaisie, 
        exercice, 
        organ, 
        typeAction, 
        typeCredit, 
        typeEtat
    ); 
    externalName = "JEFY_BUDGET.BUDGET_CALCUL_GESTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            bdcgCalcul, 
            bdcgCalculSaisi, 
            bdcgCalculVote, 
            budgetSaisie, 
            exercice, 
            organ, 
            typeAction, 
            typeCredit, 
            typeEtat
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktlbibasse.client.metier.EOBudgetCalculGestion"; 
    }; 
    name = "FwkBibasse_BudgetCalculGestion"; 
    primaryKeyAttributes = (bdcgId); 
    relationships = (
        {
            destination = "FwkBibasse_BudgetSaisie"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = bdsaId; sourceAttribute = bdsaId; }); 
            name = budgetSaisie; 
        }, 
        {
            destination = "FwkJefyAdmin_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = "FwkJefyAdmin_Organ"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = "FwkBibasse_TypeAction"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }, 
                {destinationAttribute = tyacId; sourceAttribute = tyacId; }
            ); 
            name = typeAction; 
        }, 
        {
            destination = "FwkJefyAdmin_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }, 
        {
            destination = "FwkJefyAdmin_TypeEtat"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }
    ); 
}
